## armada-backlight 1.1

=== src/Makefile ===

TARGET = armada-backlight
APPLET = armada-backlight-applet
VERSION = 1.1

CC = gcc
CFLAGS = -O2
LD = gcc

INSTALL_BINDIR = $(shell gnome-config --bindir)
INSTALL_DATADIR = $(shell gnome-config --datadir)
INSTALL_SYSCONFDIR = $(shell gnome-config --sysconfdir)

all: armada-backlight

armada-backlight: armada-backlight.c

neat:
	rm -f *.o *~ core
	rm -rf .xvpics

clean: neat
	rm -f armada-backlight

install: armada-backlight
	cp armada-backlight armada-backlight-applet $(INSTALL_BINDIR)/
	chown root.root $(INSTALL_BINDIR)/armada-backlight
	chmod a=rx,+s $(INSTALL_BINDIR)/armada-backlight
	chmod a=rx $(INSTALL_BINDIR)/armada-backlight-applet
	cp armada-backlight.png $(INSTALL_DATADIR)/pixmaps/
	cp armada-backlight-applet.gnorba $(INSTALL_SYSCONFDIR)/CORBA/servers/
	cp armada-backlight-applet.desktop $(INSTALL_DATADIR)/applets/Utility/

uninstall:
	rm -f $(INSTALL_BINDIR)/armada-backlight
	rm -f $(INSTALL_BINDIR)/armada-backlight-applet
	rm -f $(INSTALL_DATADIR)/pixmaps/armada-backlight.png
	rm -f $(INSTALL_SYSCONFDIR)/CORBA/servers/armada-backlight-applet.gnorba
	rm -f $(INSTALL_DATADIR)/applets/Utility/armada-backlight-applet.desktop

package: clean
	tar cvzf ../../armada-backlight-$(VERSION).tar.gz -C ../.. armada-backlight

=== debian/changelog ===
armada-backlight (1.1-9) unstable; urgency=medium

  * debian/control
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/pod2man.mk
    - Make build reproducible (Closes: #786710).
      Patch thanks to Reiner Herrmann <reiner@reiner-h.de>.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 18 Oct 2016 14:44:30 +0300

armada-backlight (1.1-8) unstable; urgency=low

  * debian/copyright
    - (Comment): Update M300 and M700 information.
  * debian/watch
    - Disable. Sources no longer available.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 07 Jul 2013 10:10:54 +0300

armada-backlight (1.1-7) unstable; urgency=low

  * debian/debian-compile.mk
    - Delete. No longer used.
  * debian/control
    - (standards-Version): Update to 3.9.4.
  * debian/copyright
    - Minor layout updates.
  * debian/patches
    - (10): Remove extra exit call (LP: #937453). Thanks to
      Beata Graff av dalHagen <beatadalhagen@gmail.com>.
  * debian/pod2man.mk
    - Removed sed.
  * debian/rules
    - Minor layout updates.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 25 May 2013 02:23:36 +0300

armada-backlight (1.1-6) unstable; urgency=low

  * debian/rules
    - (override_dh_auto_build): New. Replaces old "build" which fixes double
      compiling during the build process: first without hardening flags
      and then by dh with hardening flags. Patch thanks to
      Simon Ruderich <simon@ruderich.org>.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 28 Mar 2012 07:53:56 +0300

armada-backlight (1.1-5) unstable; urgency=low

  * Upgrade to packaging format "3.0 quilt".
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/debian/*.mk
    - (debian-compile.mk): Delete; no longer used.
    - (pod2man.mk): Update.
  * debian/rules
    - Use hardened build flags
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 22 Mar 2012 12:58:51 -0400

armada-backlight (1.1-4) unstable; urgency=low

  * debian/control
    - (Architecture): add kfreebsd-amd64 kfreebsd-i386.
      (wishlist; Closes: #561909).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 21 Dec 2009 10:10:18 +0200

armada-backlight (1.1-3) unstable; urgency=high

  * debian/GNOME_ArmadaBacklight.server
    - Remove extra double quote in line 19 which broke
      bonobo-activation-server (critical; Closes: #561827)
  * debian/armada-backlight.install
    - Remove GONE file install.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 20 Dec 2009 19:03:32 +0200

armada-backlight (1.1-2) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/armada-backlight.{install,manpages}
    - Move content from 'rules' for dh(1) to use.
  * debian/armada-backlight.server
    - New GNOME applet file.
  * debian/armada-backlight.1.pod
    - Document new option -h.
  * debian/copyright
    - Minor layout adjustments.
  * debian/{changelog,clean,upstream}
    - Move content from 'rules' for dh(1) to use.
  * debian/control
    - (Architecture): Change all to i386 amd64 (FTBFS; Closes: #561192).
    - (Description): Correct minor typos.
  * debian/debian-vars.mk
    - Delete. Obsoleted by dh(1).
  * debian/debian-compile.mk
    - New file.
  * debian/patches
    - (10) fix compiling errors and add option --help.
  * debian/rules
    - Move to dh(1). Remove and rewrite rules that cab be handled buf dh_*
      commands.
    - (build): Use CC, CFLAGS.
  * debian/source/format
    - New file.
  * debian/TODO.Debian
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 16 Dec 2009 16:49:41 +0200

armada-backlight (1.1-1) unstable; urgency=low

  * Initial release (Closes: #559139)

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 02 Dec 2009 09:26:55 +0000

=== debian/control ===
Source: armada-backlight
Section: utils
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/armada-backlight.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/armada-backlight.git

Package: armada-backlight
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: adjust backlight of Compaq Armada laptops (E300, M500, M700)
 An utility to change the laptop LCDs backlight from
 a command line. The brightness can be adjusted in steps
 for Compaq Armada family of laptops (E300, M500, M700).

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = armada-backlight

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_build: man
	cd src && \
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) armada-backlight.c -o $(PACKAGE)

%:
	dh $@

# End of file

=== debian/watch ===
version=3
# 2013-07-07 Domain no longer exists
# http://web.tampabay.rr.com/timkb4cq/armada-backlight-(.*)\.tar\.gz
